PROGRAM synths;
{$APPTYPE CONSOLE}
{$IFDEF FPC}
{$MODE DELPHI}
{$HINTS OFF}
{$ENDIF}
{$UNDEF CLEAN}
{$O+}

USES Windows,MMSystem,trackfile,synth;

CONST cwChop:WORD=$F7B;
VAR SynthData:TSynthData;
BEGIN
 ASM
  FLDCW cwChop
 END;
 Synth.SynthInit(SynthData,@TrackData,TrackSize);
 SynthData.DestActiveState:=TRUE;
 WRITELN('The 0ok 64kb Synth - (C) ''04-05 BeRo');
 WRITELN;
 WRITELN('Song Name: ');
 WRITELN('     ',SynthGetName(TrackData));
 WRITELN;
 WRITELN('Song Author: ');
 WRITELN('     ',SynthGetAuthor(TrackData));
 WRITELN;
 WRITELN('Song Message: ');
 WRITELN('     ',SynthGetMessage(TrackData));
 WRITELN;
 WRITELN('Press CTRL+C to exit...');
 WRITELN;

 WHILE TRUE DO Synth.SynthPoll(SynthData);
END.
